#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDC,0x69,0x60,0x44,0xB3,0xFB,0xA5,0x20,0xAD,0x63,0xBA,0x7C,
		0x42,0xD5,0x5A,0x7A,0xA6,0x05,0x88,0x03,0xB4,0x16,0x05,0xF1,
		0x5C,0x1C,0xD2,0xD7,0x8F,0x8A,0x73,0x38,0xBD,0x5B,0x5D,0x1F,
		0xC4,0x60,0xAE,0x82,0xF2,0x49,0x60,0x6F,0x59,0x85,0xEC,0x97,
		0xBF,0xC2,0x94,0x9B,0x4F,0x45,0xB6,0xFE,0xD5,0x19,0x3F,0x97,
		0x6A,0x26,0x72,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
